## imcode.server.document.index
Interface QueryParser

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DefaultQueryParser

    public interface QueryParser

extends java.io.Serializable

Method Summary
`org.apache.lucene.search.Query` `parse(java.lang.String queryString)`

Method Detail

### parse

    org.apache.lucene.search.Query parse(java.lang.String queryString)
                                         throws org.apache.lucene.queryParser.ParseException

  Throws:
    `org.apache.lucene.queryParser.ParseException`